--AH:ScriptId=34c12b35-9118-4880-a9d4-f63020eed749;467
INSERT INTO [Users]
( [User_Name], [Display_Name] )
VALUES
( 'Anonymous', 'Anonymous User' )

GO

DECLARE @ViewOnly_Role_Id INT
SELECT @ViewOnly_Role_Id = [Role_Id]
  FROM [Roles]
 WHERE [Role_Name] = 'View Only'

INSERT INTO [Privileges]
( [Principal_Name], [PrincipalType_Code], [Role_Id], [BuiltIn_Directory_Indicator], [PrivilegeType_Code] )
VALUES
( 'Anonymous', 'U', @ViewOnly_Role_Id, 'Y', 'G' )

INSERT INTO [Groups]
( [Group_Name] )
VALUES
( 'Administrators' )

GO
  
INSERT INTO [UserGroups]
( [User_Name], [Group_Name] )
VALUES
( 'Admin', 'Administrators' )

DECLARE @Admin_Role_Id INT
SELECT @Admin_Role_Id = [Role_Id]
  FROM [Roles]
 WHERE [Role_Name] = 'Administrators'

INSERT INTO [Privileges]
( [Principal_Name], [PrincipalType_Code], [Role_Id], [BuiltIn_Directory_Indicator], [PrivilegeType_Code] )
VALUES
( 'Administrators', 'G', @Admin_Role_Id, 'Y', 'G' )